### Method

# GObject TypePlugin complete_interface_info

#### Declaration

    void
    g_type_plugin_complete_interface_info (
      GTypePlugin* plugin,
      GType instance_type,
      GType interface_type,
      GInterfaceInfo* info
    )

#### Description

Calls the `complete_interface_info` function from the `GTypePluginClass` of `plugin`. There should be no need to use this function outside of the GObject type system itself.

#### Parameters

`instance_type`

  Type: `GType`

  The `GType` of an instantiatable type to which the interface is added.

`interface_type`

  Type: `GType`

  The `GType` of the interface whose info is completed.

`info`

  Type: `GInterfaceInfo`

  The `GInterfaceInfo` to fill in.

  The data is owned by the caller of the method.